/***************************************************************************
 * songmodel.cpp: implementation of SongModel class
 *
 * This file is part of KTabEdit, a KDE tabulature editor
 *
 * copyright (C) 2003-2007 the KTabEdit development team <mrgwen@gmail.com>
 ***************************************************************************/

/***************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * See the file COPYING for more information.
 ***************************************************************************/

#include "songmodel.h"

#include "songkey.h"
#include "tablyrics.h"

#include "tabtimes.h"
#include "tabbar.h"
#include "tabnote.h"
#include "tabtrack.h"
#include "tabsong.h"
/*
SongModel::SongModel()
: TabSong()
{
}

SongModel::SongModel(const QString& title, int tempo)
: TabSong(title, tempo)
{
}

SongModel::~SongModel()
{
	emit songDeleted();
}

TabSong& SongModel::operator=(const TabSong& tabSong)
{
	emit songDeleted();
	
	return TabSong::operator=(tabSong);
}

void SongModel::push_back(TabTrack* tabTrack)
{
	TabSong::push_back(tabTrack);
	emit trackAdded(tabTrack);
}

void SongModel::push_front(TabTrack* tabTrack)
{
	TabSong::push_front(tabTrack);
	emit trackAdded(tabTrack);
}

void SongModel::setProperties(TabProperties* tabProperties)
{
	TabSong::setProperties(tabProperties);
	emit songPropertiesChanged(properties());
}

void SongModel::setTitle(const QString &s)
{
	TabSong::setTitle(s);
	emit songPropertiesChanged(properties());
}

void SongModel::setSubTitle(const QString &s)
{
	TabSong::setSubTitle(s);
	emit songPropertiesChanged(properties());
}

void SongModel::setArtist(const QString &s)
{
	TabSong::setArtist(s);
	emit songPropertiesChanged(properties());
}

void SongModel::setAlbum(const QString &s)
{
	TabSong::setAlbum(s);
	emit songPropertiesChanged(properties());
}

void SongModel::setAuthor(const QString &s)
{
	TabSong::setAuthor(s);
	emit songPropertiesChanged(properties());
}

void SongModel::setCopyright(const QString &s)
{
	TabSong::setCopyright(s);
	emit songPropertiesChanged(properties());
}

void SongModel::setTranscriber(const QString &s)
{
	TabSong::setTranscriber(s);
	emit songPropertiesChanged(properties());
}

void SongModel::setInstructions(const QString &s)
{
	TabSong::setInstructions(s);
	emit songPropertiesChanged(properties());
}

void SongModel::setComments(const QString &s)
{
	TabSong::setComments(s);
	emit songPropertiesChanged(properties());
}

void SongModel::setShuffle(bool i)
{
	TabSong::setShuffle(i);
	emit songPropertiesChanged(properties());
}

void SongModel::setTempo(unsigned int i)
{
	TabSong::setTempo(i);
	emit songPropertiesChanged(properties());
}

void SongModel::setOctave(int i)
{
	TabSong::setOctave(i);
	emit songPropertiesChanged(properties());
}

void SongModel::setSongKey(SongKey* songKey)
{
	TabSong::setSongKey(songKey);
	emit songPropertiesChanged(properties());
}

void SongModel::setKey(QChar c)
{
	TabSong::setKey(c);
	emit songPropertiesChanged(properties());
}

void SongModel::setMinor(bool i)
{
	TabSong::setMinor(i);
	emit songPropertiesChanged(properties());
}

void SongModel::setTabLyrics(TabLyrics* lyrics)
{
	TabSong::setTabLyrics(lyrics);
	emit songPropertiesChanged(properties());
}

void SongModel::setLyricsTrack(int i)
{
	TabSong::setLyricsTrack(i);
	emit songPropertiesChanged(properties());
}

void SongModel::setLyricsMeasure(int i, int j)
{
	TabSong::setLyricsMeasure(i, j);
	emit songPropertiesChanged(properties());
}

void SongModel::setLyrics(int i, const QString& s)
{
	TabSong::setLyrics(i, s);
	emit songPropertiesChanged(properties());
}

void SongModel::propertiesChanged(TabProperties*)
{
}

void SongModel::addATrack(TabTrack*)
{
}
*/
#include "songmodel.moc"
